<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_appointment_setting".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerSiteAppointmentSetting".
 *
 * Columns in table "partner_site_appointment_setting" available as properties of the model,
 * followed by relations of table "partner_site_appointment_setting" available as properties of the model.
 *
 * @property integer $id
 * @property integer $partner_site_id
 * @property string $confirmation_message
 * @property string $confirmation_button_message
 * @property string $confirmation_button_url
 * @property string $date_added
 * @property string $date_updated
 * @property integer $added_by_account_id
 * @property integer $updated_by_account_id
 *
 * @property Account $addedByAccount
 * @property Account $updatedByAccount
 * @property PartnerSite $partnerSite
 */
abstract class BasePartnerSiteAppointmentSetting extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_appointment_setting';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteAppointmentSetting|PartnerSiteAppointmentSettings', $n);
    }

    public static function representingColumn()
    {
        return 'confirmation_message';
    }

    public function rules()
    {
        return array(
            array('partner_site_id, confirmation_message, confirmation_button_message, confirmation_button_url, added_by_account_id', 'required'),
            array('partner_site_id, added_by_account_id, updated_by_account_id', 'numerical', 'integerOnly' => true),
            array('confirmation_button_message, confirmation_button_url', 'length', 'max' => 255),
            array('confirmation_message, date_added, date_updated', 'safe'),
            array('confirmation_message, confirmation_button_message, confirmation_button_url, date_added, date_updated, updated_by_account_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, partner_site_id, confirmation_message, confirmation_button_message, confirmation_button_url, date_added, date_updated, added_by_account_id, updated_by_account_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'addedByAccount' => array(self::BELONGS_TO, 'Account', 'added_by_account_id'),
            'updatedByAccount' => array(self::BELONGS_TO, 'Account', 'updated_by_account_id'),
            'partnerSite' => array(self::BELONGS_TO, 'PartnerSite', 'partner_site_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => null,
            'confirmation_message' => Yii::t('app', 'Confirmation Message'),
            'confirmation_button_message' => Yii::t('app', 'Confirmation Button Message'),
            'confirmation_button_url' => Yii::t('app', 'Confirmation Button Url'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'added_by_account_id' => null,
            'updated_by_account_id' => null,
            'addedByAccount' => null,
            'updatedByAccount' => null,
            'partnerSite' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('confirmation_message', $this->confirmation_message, true);
        $criteria->compare('confirmation_button_message', $this->confirmation_button_message, true);
        $criteria->compare('confirmation_button_url', $this->confirmation_button_url, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('added_by_account_id', $this->added_by_account_id);
        $criteria->compare('updated_by_account_id', $this->updated_by_account_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
